### Method

# GdkX11 X11Surfaceset_user_time

#### Declaration [src]

    void
    gdk_x11_surface_set_user_time (
      GdkSurface* surface,
      guint32 timestamp
    )

#### Description [src]

The application can use this call to update the _NET_WM_USER_TIME property on a toplevel surface. This property stores an Xserver time which represents the time of the last user input event received for this surface. This property may be used by the window manager to alter the focus, stacking, and/or placement behavior of surfaces when they are mapped depending on whether the new surface was created by a user action or is a “pop-up” surface activated by a timer or some other event.

Note that this property is automatically updated by GDK, so this function should only be used by applications which handle input events bypassing GDK.

#### Parameters

`timestamp`

  Type: `guint32`

  An XServer timestamp to which the property should be set.